<template>
  <nav class="navbar navbar-dark bg-dark">
    <span class="navbar-brand mb-0 h1 ml-25 ms-5">Dashboard</span>
    <form class="form-inline btn-nav">
      <router-link to="/profile">
        <button class="btn btn-outline-success me-5" type="button">
          Profile
        </button></router-link
      >
      <router-link to="/books">
        <button class="btn btn-outline-success" type="button">
          Books
        </button></router-link
      >
    </form>
    <button
      class="btn btn-outline-success text-lg-end me-5"
      type="button"
      @click="logOut()"
    >
      Log out
    </button>
  </nav>
</template>

<script>
import axios from "axios";
export default {
  name: "Navbar",

  methods: {
    async logOut() {
      try {
        let tokenData = localStorage.getItem("token");
        await axios
          .get("api/users/logout?token=" + tokenData)
          .then((response) => {
            if (response.data.status_code == 200) {
              localStorage.removeItem("token");
              this.$router.push("/");
            }
          });
      } catch (error) {
        console.log(error);
      }
    },
  },
};
</script>

<style lang="scss" scoped>
.btn-nav {
  left: 20%;
  position: absolute;
}
</style>